/**
 * Title: GameOfLife
 * Description: From wikipedia:
 * "The Game of Life is a cellular automaton
 * devised by the British mathematician
 * John Horton Conway in 1970. It is the
 * best-known example of a cellular automaton."
 * @author Dr. Bernhard Riedl
 * @version 1.20
 */

/*
Copyright 2006-2012 Dr. Bernhard Riedl

This program is free software:
you can redistribute it and/or modify
it under the terms of the
GNU General Public License as published by
the Free Software Foundation,
either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope
that it will be useful,
but WITHOUT ANY WARRANTY;
without even the implied warranty of
MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License
for more details.

You should have received a copy of the
GNU General Public License
along with this program.

If not, see https://www.gnu.org/licenses/.
*/

package com.bernhardriedl.projects.gameoflife;

import com.bernhardriedl.projects.gameoflife.gui.MainMenu;

public class GameOfLife {

	public static final String VERSION="1.20";
	public static final String NICENAME="GameOfLife";

	/**
	 * main
	 * @param args String[]
	 */

	public static void main(String[] args) {
		new MainMenu();
	}

}