package com.bernhardriedl.projects.gameoflife.images;

import java.awt.Image;

import javax.swing.ImageIcon;

public class ImagesContainer {
	private static boolean initialized = false;

	public static ImageIcon iconAbout16 = null;
	public static ImageIcon iconHelp16 = null;
	public static ImageIcon iconNew16 = null;
	public static ImageIcon iconOpen16 = null;
	public static ImageIcon iconPreferences16 = null;
	public static ImageIcon iconSave16 = null;
	public static ImageIcon iconStop16 = null;

	public static ImageIcon icon = null;
	public static ImageIcon icon16 = null;

	/**
	 * load images
	 * @throws Exception
	 */

	public static void loadPics() throws Exception {
		if (!ImagesContainer.initialized) {
			ImagesContainer.iconAbout16 = new ImageIcon(ImagesContainer.class.getResource("About16.gif"));
			ImagesContainer.iconHelp16 = new ImageIcon(ImagesContainer.class.getResource("Help16.gif"));
			ImagesContainer.iconNew16 = new ImageIcon(ImagesContainer.class.getResource("New16.gif"));
			ImagesContainer.iconOpen16 = new ImageIcon(ImagesContainer.class.getResource("Open16.gif"));
			ImagesContainer.iconPreferences16 = new ImageIcon(ImagesContainer.class.getResource("Preferences16.gif"));
			ImagesContainer.iconSave16 = new ImageIcon(ImagesContainer.class.getResource("Save16.gif"));
			ImagesContainer.iconStop16 = new ImageIcon(ImagesContainer.class.getResource("Stop16.gif"));

			ImagesContainer.icon = new ImageIcon(ImagesContainer.class.getResource("icon.jpg"));

			Image scaledIcon=ImagesContainer.icon.getImage().getScaledInstance(16, 16,  java.awt.Image.SCALE_SMOOTH);  
			ImagesContainer.icon16 = new ImageIcon(scaledIcon);  
		}

		ImagesContainer.initialized = true;
	}
}